
/***************************************************
 Mt_Script Multlingual Text Editor
 mtscript_1.1

 Copyright (c) 1996
 CNRS France
 All rights reserved
 March 1996
   
                       Authors:
                       --------
 Stephane HARIE                     Malek BOUALEM
 Multilingual text editor           Multilingual writing systems
 E-mail: harie@lpl.univ-aix.fr      E-mail: malek@lpl.univ-aix.fr

                    Collaborators:
                    --------------
 Jean VERONIS
 E-mail: veronis@univ-aix.fr

 LRE - MULTEXT Project (1994-1996)
 Laboratoire Parole et Langage - CNRS
 Aix-En-Provence, France
 Tel: (33) 42 95 36 27
 Fax: (33) 42 59 50 96
 E-mail: multext@lpl.univ-aix.fr
***************************************************/
  

/* French rules
***************/
E1={39}			/* acute or apostrophe ' */
E2={96}			/* grave ` */
E3={94}			/* accent circumflex ^ */
E4={34}			/* dieresis " */
E5={44}			/* cedilla , */

E10={97}		/* a */
E11={65}		/* A */
E12={101}		/* e */
E13={69}		/* E */
E14={105}		/* i */
E15={73}		/* I */
E16={111}		/* o */
E17={79}		/* O */
E18={117}		/* u */
E19={85}		/* U */
E20={99}		/* c */
E21={67}		/* C */

E32={224}		/*  */
E33={192}		/*  */
E34={226}		/*  */
E35={194}		/*  */

E40={233}		/*  */
E41={201}		/*  */
E42={232}		/*  */
E43={200}		/*  */
E44={234}		/*  */
E45={202}		/*  */
E46={235}		/*  */
E47={203}		/*  */

E54={238}		/*  */
E55={206}		/*  */
E56={239}		/*  */
E57={207}		/*  */

E64={244}		/*  */
E65={212}		/*  */

E72={249}		/*  */
E73={217}		/*  */
E74={251}		/*  */
E75={219}		/*  */
E76={252}		/*  */
E77={220}		/*  */

E88={231}		/*  */
E89={199}		/*  */


E100={
	32 -33,35-38,40-43,45-64,66,68,70-72,74-78,
	80-84,86-93,95,98,100,102-104,106-110,112-116,
	118-126,128-159,161-191,193,195-198,204-205,208-211,213-216,
	218,221-223,225,227,230,236-237,240-243,245-248,250,253-255 
	}

E101={0-7,9-31}

E110={8}					/* backspace */
E111={127}				/* delete */
E112={160}				/* accentuation filter */

%%RULES

E*,E*:0,"b";			/* non particular characters: inchanged */

E*,E110:-1,"";		/* backspace  */
E*,E111:1,"";			/* delete  */

E112,E*:-1,"b";
E112,E110:-1,"";
E112,E111:1,"";

E20,E5:-1,"C231";	/* c, and C, */
E21,E5:-1,"C199";

E88,E110:-1,"C99";	/* backspace on c,C cedilla */
E89,E110:-1,"C67";

E18,E2:-1,"C249";	/* u,U grave */
E19,E2:-1,"C217";
E18,E3:-1,"C251";	/* u,U circumflex */
E19,E3:-1,"C219";
E18,E4:-1,"C252";	/* u,U diaeresis */
E19,E4:-1,"C220";

E72,E110:-1,"C117";	/* backspace on u,U accentuated */
E73,E110:-1,"C85";
E74,E110:-1,"C117";
E75,E110:-1,"C85";
E76,E110:-1,"C117";
E77,E110:-1,"C85";

E16,E3:-1,"C244";	/* o,O circumflex */
E17,E3:-1,"C212";

E64,E110:-1,"C111";	/* backspace on o,O accentuated */
E65,E110:-1,"C79";

E14,E3:-1,"C238";	/* i,I circumflex */
E15,E3:-1,"C206";
E14,E4:-1,"C239";	/* i,I diaeresis */
E15,E4:-1,"C207";

E54,E110:-1,"C105";	/* backspace on i,I accentuated */
E55,E110:-1,"C73";
E56,E110:-1,"C105";
E57,E110:-1,"C73";

E12,E1:-1,"C233";	/* e,E acute */
E13,E1:-1,"C201";
E12,E2:-1,"C232";	/* e,E grave */
E13,E2:-1,"C200";
E12,E3:-1,"C234";	/* e,E circumflex */
E13,E3:-1,"C202";
E12,E4:-1,"C235";	/* e,E diaeresis */
E13,E4:-1,"C203";

E40,E110:-1,"C101";	/* backspace on e,E accentuated */
E41,E110:-1,"C69";
E42,E110:-1,"C101";
E43,E110:-1,"C69";
E44,E110:-1,"C101";
E45,E110:-1,"C69";
E46,E110:-1,"C101";
E47,E110:-1,"C69";

E10,E2:-1,"C224";	/* a,A grave */
E11,E2:-1,"C192";
E10,E3:-1,"C226";	/* a,A circumflex */
E11,E3:-1,"C194";

E32,E110:-1,"C97";	/* backspace on a,A accentuated */
E33,E110:-1,"C65";
E34,E110:-1,"C97";
E35,E110:-1,"C65";

%%END
